export basedir="/var/lib/ctvdrcfg"
export timestamp=`date +%y%m%d%H%M`
export myhostname=`hostname`
# FIXME - will break with more than one nic
export ipgateway=`grep "gateway" /etc/network/interfaces | cut -d" " -f2`
export ipgwshort=`echo $ipgateway | cut -d "." -f4`
export myipaddress=`grep "address" /etc/network/interfaces | cut -d" " -f2`
export iphshort=`echo $myipaddress | cut -d "." -f4`
export ipnetwork=`grep "^[[:space:]]*network" /etc/network/interfaces | cut -d" " -f2`
export ipnetmask=`grep "netmask" /etc/network/interfaces | cut -d" " -f2`
export ipbroadcast=`grep "broadcast" /etc/network/interfaces | cut -d" " -f2`
export dnsdomain=`grep "dns-search" /etc/network/interfaces | cut -d" " -f2`
export ipdns=`grep "dns-nameservers" /etc/network/interfaces | cut -d" " -f2`
# get reverse address
declare -a sind
sind=(`echo "$ipnetwork" | tr '.' ' '`)
export ipnetwork_short="${sind[0]}.${sind[1]}.${sind[2]}"
export ipnetwork_short_reverse="${sind[2]}.${sind[1]}.${sind[0]}"
unset sind

